<div class="py-4 border rounded flex items-center flex-col mb-2">
  <div class='img-box'>
    <img [src]="product.image" [alt]="product.title" class="">
  </div>
  <h2 class="mb-2 text-md text-center">{{product.title}}</h2>
  <p>Price: <span class="font-bold">{{product.price | currency}}</span></p>
  <button class="border py-2 px-4 rounded " (click)="openDetail(product)">

  Detail
  </button>
  <button class="border py-2 px-4 rounded bg-yellow-400"
          [ngClass]="{
           'bg-yellow-400' : !details,
           'bg-blue-400' : details
          }"
          (click)="details = !details"
  >
    {{ details ? 'Hide' : 'Show' }}
    Show details
  </button>

  <div *ngIf="details">
    <p>{{product.description}}</p>
    <p>{{product.rating.rate}}</p>
  </div>

</div>
